:root {
    --bs-danger: #f8285a;
    --bs-success: #17c653;
}

* {
    box-sizing: border-box;
}

section {
    overflow-x: hidden;
}

@media (max-width: 1024px) {
    .text-xs-plus {
        font-size: 0.675rem !important;
    }
}
,
.required:after {
    content: "*";
    position: relative;
    font-size: inherit;
    color: #f8285a;
    padding-left: 0.25rem;
    font-weight: 600;
}

[type="text"]:focus,
textarea:focus,
select:focus,
.form-select:focus,
[type="number"]:focus {
    --tw-ring-color: none !important;
    --tw-ring-offset-shadow: none !important;
    --tw-ring-shadow: none !important;
}

.filter.active button {
    background: linear-gradient(
        100deg,
        rgba(249, 192, 37, 1),
        rgba(183, 20, 15, 1)
    );
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 0.15s;
    color: white;
}

.nav-link.active {
    color: #f9c025; /* ganti warna sesuai kebutuhan */
    font-weight: bold;
}

#gallery {
    scroll-margin-top: 20px; /* sesuaikan dengan tinggi header kamu */
}
#member {
    scroll-margin-top: 60px; /* sesuaikan dengan tinggi header kamu */
}

@media (max-width: 1024px) {
    #beranda {
        scroll-margin-top: 95px; /* sesuaikan dengan tinggi header kamu */
    }
    #gallery {
        scroll-margin-top: -10px; /* sesuaikan dengan tinggi header kamu */
    }
    #member {
        scroll-margin-top: 20px; /* sesuaikan dengan tinggi header kamu */
    }
}

/* container */
.container {
    width: 100%;
    margin-right: auto;
    margin-left: auto;
    padding-right: 2rem;
    padding-left: 2rem;
}

@media (min-width: 1142px) {
    .container {
        max-width: 1142px;
        padding-right: 1rem;
        padding-left: 1rem;
    }
}

/* HOME */
/* header */
header .menus {
    position: fixed;
    top: 0;
    z-index: 52;
    height: 100vh;
    width: 100%;
    max-width: 15rem;
    right: -100%;
    /* gap: 2.25rem; */
    background-color: rgb(255 255 255 / 1);
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 0.5s;
}

@media (min-width: 1024px) {
    header .menus {
        position: static;
        height: auto;
        max-width: none;
    }
    .dark header .menus,
    header .menus {
        background-color: initial;
    }
}

header .menus ul {
    position: relative;
    display: flex;
    flex-direction: column;
}

header .menus ul > :not([hidden]) ~ :not([hidden]) {
    --tw-divide-y-reverse: 0;
    border-top-width: calc(1px * (1 - var(--tw-divide-y-reverse)));
    border-bottom-width: calc(1px * var(--tw-divide-y-reverse));
    border-color: rgba(119, 128, 161, 0.1);
}

header .menus ul {
    font-weight: 700;
    color: rgba(8, 17, 31, 1);
}

@media (min-width: 1024px) {
    header .menus ul {
        flex-direction: row;
        align-items: center;
        gap: 2.75rem;
    }
    header .menus ul > :not([hidden]) ~ :not([hidden]) {
        --tw-divide-y-reverse: 0;
        border-top-width: calc(0px * (1 - var(--tw-divide-y-reverse)));
        border-bottom-width: calc(0px * var(--tw-divide-y-reverse));
    }
    header .menus ul {
        padding: 0;
        color: rgba(255, 255, 255, 1);
    }
}

header .menus ul li > a {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem;
    transition-property: color, background-color, border-color,
        text-decoration-color, fill, stroke, opacity, box-shadow, transform,
        filter, backdrop-filter, -webkit-text-decoration-color,
        -webkit-backdrop-filter;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 0.15s;
}

header .menus ul li > a:hover {
    color: #f9c025;
}

@media (min-width: 1024px) {
    header .menus ul li > a {
        padding: 2.5rem 0;
    }
    header .menus ul li > a:hover {
        --tw-scale-x: 1.1;
        --tw-scale-y: 1.1;
        transform: translate(var(--tw-translate-x), var(--tw-translate-y))
            rotate(var(--tw-rotate)) skewX(var(--tw-skew-x))
            skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x))
            scaleY(var(--tw-scale-y));
    }
}

header .menus ul li > a.active {
    color: #f9c025;
}

@media (min-width: 1024px) {
    header .menus ul li > a.active {
        --tw-scale-x: 1.1;
        --tw-scale-y: 1.1;
        transform: translate(var(--tw-translate-x), var(--tw-translate-y))
            rotate(var(--tw-rotate)) skewX(var(--tw-skew-x))
            skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x))
            scaleY(var(--tw-scale-y));
    }
}

header .menus .submenu {
    visibility: hidden;
    z-index: 50;
    margin-top: 1.25rem;
    display: none;
    grid-template-columns: repeat(1, minmax(0, 1fr));
    -moz-column-gap: 1rem;
    column-gap: 1rem;
    border-radius: 0.5rem;
    padding-top: 0.75rem;
    padding-bottom: 0.75rem;
    font-size: 0.875rem;
    line-height: 1.25rem;
    font-weight: 500;
    color: rgba(8, 17, 31, 1);
    opacity: 0;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 0.15s;
}

.bg-primary {
    background-color: rgba(5, 131, 210, 1);
}

.bg-secondary {
    background-color: rgba(48, 191, 177, 1);
}

header .menus.open-menus {
    right: 0;
}

.input-group-prepend {
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: 59px;
    min-height: 59px;
    background-color: #f9c025;
    border-top-left-radius: 1rem;
    border-bottom-left-radius: 1rem;
    z-index: 9;
    margin-right: -3px;
}

.form-control {
    width: 100%;
    height: 59px;
    border-radius: 1rem;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.form-control:focus {
    border: 2px solid #f9c025;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    box-shadow: none;
    outline: none;
    padding: 18px;
    transition: color 0.2s ease;
}

.sticky-header {
    background-color: rgba(8, 17, 31, 1);
    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1),
        0 4px 6px -4px rgba(0, 0, 0, 0.1);
    --tw-shadow-colored: 0 10px 15px -3px var(--tw-shadow-color),
        0 4px 6px -4px var(--tw-shadow-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000),
        var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}

@media (min-width: 1024px) {
    .sticky-header .menus a {
        color: white;
    }
}

.sticky-header .logo {
    filter: none !important;
}

.group:hover .icon-path {
    stroke: white;
}

/* Hero */
.hero-title {
    background: linear-gradient(to right, #f9c025 20%, #000 50%, #b7140f 70%);
    background-size: 150% auto;
    color: #5d596c;
    background-clip: text;
    text-fill-color: rgba(0, 0, 0, 0);
    -webkit-background-clip: text;
    -webkit-text-fill-color: rgba(0, 0, 0, 0);
    animation: shine 2s ease-in-out infinite alternate;
}

.dark .hero-title {
    background: linear-gradient(to right, #f9c025 20%, #fff 50%, #b7140f 70%);
    background-size: 150% auto;
    color: #5d596c;
    background-clip: text;
    text-fill-color: rgba(0, 0, 0, 0);
    -webkit-background-clip: text;
    -webkit-text-fill-color: rgba(0, 0, 0, 0);
    animation: shine 2s ease-in-out infinite alternate;
}

@keyframes shine {
    0% {
        background-position: 0% 50%;
    }
    80% {
        background-position: 50% 90%;
    }
    100% {
        background-position: 91% 100%;
    }
}

/* Screen loader */
@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@keyframes spin-reverse {
    0% {
        transform: rotate(360deg);
    }
    100% {
        transform: rotate(0deg);
    }
}

.animate-spin {
    animation: spin 1.5s linear infinite;
}

.animate-spin-reverse {
    animation: spin-reverse 2s linear infinite;
}

/* buttons */
.btn {
    display: inline-block;
    border-radius: 1rem;
    text-align: center;
    font-size: 0.875rem;
    line-height: 1.25rem;
    font-weight: 500;
    color: #fff;
    text-transform: uppercase;
    padding-top: 18px;
    padding-bottom: 18px;
    padding-left: 2rem;
    padding-right: 2rem;
}

.btn:active {
    transform: translateY(2px);
}

@media (max-width: 1024px) {
    .custom-btn-mobile {
        padding-left: 1rem;
        padding-right: 1rem;
        padding-top: 0.8rem;
        padding-bottom: 0.8rem;
    }
}

.btn-group-sm > .btn.btn-icon,
.btn.btn-icon.btn-sm {
    height: calc(1.5em + 1.1rem + 2px);
    width: calc(1.5em + 1.1rem + 2px);
}

/* btn light */
.btn-light {
    color: black;
    background-color: #f3f1f1;
}

.btn-light:hover {
    background: linear-gradient(
        100deg,
        rgba(249, 192, 37, 1),
        rgba(183, 20, 15, 1)
    );
    --tw-scale-x: 1.05;
    --tw-scale-y: 1.05;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y))
        rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y))
        scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
    color: #fff;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 0.15s;
}

.btn-light:active {
    transform: translateY(2px);
}

.btn.btn-light-danger {
    color: #f8285a;
    border-color: var(--bs-danger-light);
    background-color: #ffeef3;
}

.btn.btn-icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    height: calc(1.5em + 1.55rem + 2px);
    width: calc(1.5em + 1.55rem + 2px);
    line-height: 1;
}

.btn.btn-light-danger:active:not(.btn-active),
.btn.btn-light-danger:focus:not(.btn-active),
.btn.btn-light-danger:hover:not(.btn-active),
.show > .btn.btn-light-danger {
    color: #fff;
    border-color: #f8285a;
    background-color: #f8285a !important;
}

/* btn primary */
.btn-primary {
    background: linear-gradient(
        100deg,
        rgba(249, 192, 37, 1),
        rgba(183, 20, 15, 1)
    );
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 0.15s;
}

.btn-primary:hover {
    --tw-scale-x: 1.05;
    --tw-scale-y: 1.05;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y))
        rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y))
        scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
    color: white;
    background-color: rgba(48, 191, 177, 1);
    box-shadow: 0px 10px 17px -5px rgba(249, 192, 37, 0.2),
        0px 14px 25px -10px rgba(249, 192, 37, 0.6);
}

.btn-primary:active {
    transform: translateY(2px);
}

.focus\:border-primary:focus {
    --tw-border-opacity: 1;
    border-color: rgb(48 191 177 / var(--tw-border-opacity));
}

.whatsapp-icon path {
    fill: #30bfb1; /* Warna teal sebagai default */
}

.btn-primary:hover .whatsapp-icon path {
    fill: #ffffff; /* Ganti dengan warna yang diinginkan */
}

.btn-secondary {
    border-radius: 1rem;
    text-align: center;
    font-size: 0.875rem;
    line-height: 1.25rem;
    font-weight: 800;
    color: white;
    --tw-bg-opacity: 1;
    background-color: rgb(48 191 177 / var(--tw-bg-opacity));
    text-transform: uppercase;
    transition-property: color, background-color, border-color,
        text-decoration-color, fill, stroke, opacity, box-shadow, transform,
        filter, backdrop-filter, -webkit-text-decoration-color,
        -webkit-backdrop-filter;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 0.15s;
}

.btn-secondary:hover {
    --tw-scale-x: 1.05;
    --tw-scale-y: 1.05;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y))
        rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y))
        scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
    box-shadow: 0 14px 26px -12px rgba(48, 191, 177, 0.6),
        0 4px 23px 0 rgba(48, 191, 177, 0.15),
        0 8px 10px -5px rgba(48, 191, 177, 0.2) !important;
}

.btn-secondary:active {
    transform: translateY(2px);
}

/* style text */
.text-gray {
    color: rgba(119, 128, 161, 1);
}

.text-black {
    color: rgba(8, 17, 31, 1);
}

.text-white {
    color: rgba(255, 255, 255, 1);
}

.text-primary {
    color: rgba(183, 20, 15, 1);
}

.text-secondary {
    color: rgba(249, 192, 37, 1);
}

/* hover text */
.hover\:text-primary:hover {
    color: rgba(5, 131, 210, 1);
}

.hover\:text-white:hover {
    color: rgba(255, 255, 255, 1);
}

.hover\:text-gray:hover {
    color: rgba(119, 128, 161, 1);
}

.hover\:text-black:hover {
    color: rgba(8, 17, 31, 1);
}

/* sosmed icons */
.icon-content a {
    position: relative;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 1rem;
    width: 50px;
    height: 50px;
    color: #292d32;
    transition: all 0.3s ease-in-out;
}

.icon-content a svg {
    position: relative;
    z-index: 1;
}

.icon-content a:hover {
    color: white;
}

.icon-content a .filled {
    position: absolute;
    top: auto;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 0;
    background-color: #000;
    transition: all 0.3s ease-in-out;
}

.icon-content a:hover .filled {
    height: 100%;
}

.icon-content a[data-social="instagram"] .filled {
    background: linear-gradient(
        45deg,
        #fed576 0%,
        #f47133 26%,
        #bc3081 61%,
        #4c63d2 100%
    );
}

.icon-content a[data-social="facebook"] .filled {
    background-color: #0462df;
}

.icon-content a[data-social="twitter"] .filled {
    background-color: #000;
}

.after\:bg-primary:after {
    content: var(--tw-content);
    background-color: #0583d2;
}

.after\:from-primary:after {
    content: var(--tw-content);
    --tw-gradient-from: #0583d2;
    --tw-gradient-to: rgba(180, 118, 229, 0);
    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to);
}

.after\:from-secondary:after {
    content: var(--tw-content);
    --tw-gradient-from: #30bfb1;
    --tw-gradient-to: rgba(180, 118, 229, 0);
    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to);
}

/* Border */
.border-primary {
    background: linear-gradient(white, white) padding-box,
        linear-gradient(to right, #f9c025, #b7140f) border-box;
    border: 3px solid transparent;
}

html {
    font-family: "Lexend";
    font-weight: 600;
    color: #7c7f87;
    scroll-behavior: smooth;
}

/* FORM */
.form_surat {
    box-shadow: 20px 20px 60px 0px rgba(190, 190, 190, 0.2),
        -20px -20px 60px 0px rgba(190, 190, 190, 0.2) !important;
}

.form-check-custom {
    display: flex;
    align-items: center;
    padding-left: 0;
    margin: 0;
}

.form-check {
    min-height: 1.5rem;
}

.form-check.form-check-solid .form-check-input {
    border: 0;
}
.form-check.form-check-solid .form-check-input:not(:checked) {
    background-color: #f1f1f4;
}

.form-check-custom .form-check-input {
    margin: 0;
    float: none;
    flex-shrink: 0;
}

.form-check-input:checked {
    background-color: #f9c025;
    border-color: #f9c025;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='2' fill='%23ffffff'/%3e%3c/svg%3e");
}

.form-check-input[type="radio"] {
    border-radius: 50%;
}

.form-check-input {
    flex-shrink: 0;
    width: 1.5rem;
    height: 1.5rem;
    appearance: none;
}
[type="checkbox"],
[type="radio"] {
    color: #f9c025 !important;
}

[type="checkbox"]:focus,
[type="radio"]:focus {
    --tw-ring-offset-width: 0px !important;
    --tw-ring-color: #f9c025 !important;
    box-shadow: none !important;
}

/* ToggleMobile */
@media (min-width: 1024px) {
    .toggleMobile {
        display: none !important;
    }
}

/* TOASTR ICON */
#toastr-container > .toastr-success {
    background-image: url("../../media/svg/toast/toast-success.svg") !important;
}

#toastr-container > .toastr-error {
    background-image: url("../../media/svg/toast/toast-error.svg") !important;
}

/* BORDER GRADIENT */
.gradient-border {
    background: linear-gradient(#ffffff, #ffffff) padding-box,
        linear-gradient(to right, #f9c025, #b7140f) border-box;
    border: 2px solid transparent;
}

.dark .gradient-border {
    background: linear-gradient(#1f2434, #1f2434) padding-box,
        linear-gradient(to right, #f9c025, #b7140f) border-box;
}

/* SELECT2 */
.select2-container--bootstrap5 .select2-dropdown {
    border: 0;
    box-shadow: 0px 0px 50px 0px rgba(82, 63, 105, 0.15);
    border-radius: 0.92rem;
    padding: 1rem 0;
    background-color: white;
}

.select2-container--bootstrap5 .select2-dropdown {
    background: white;
}

.dark .select2-container--bootstrap5 .select2-dropdown {
    background: #1c1d22;
}

.select2-container--bootstrap5
    .select2-dropdown
    .select2-results__option.select2-results__option--selected {
    background: #f9c025;
    color: white;
    transition: color 0.2s ease;
    position: relative;
}

.dark
    .select2-container--bootstrap5
    .select2-dropdown
    .select2-results__option.select2-results__option--selected {
    background: #f9c025;
    color: black;
    transition: color 0.2s ease;
    position: relative;
}

.select2-container--bootstrap5
    .select2-dropdown
    .select2-results__option:hover {
    background: #fff0f2;
    color: #e6212a;
}

.dark
    .select2-container--bootstrap5
    .select2-dropdown
    .select2-results__option:hover {
    background: #3b2f0b;
    color: #e6212a;
}

.select2-container--bootstrap5
    .select2-dropdown
    .select2-results__option.select2-results__option--selected:after {
    top: 50%;
    display: block;
    position: absolute;
    transform: translateY(-50%);
    height: 0.75rem;
    width: 0.75rem;
    content: "";
    mask-repeat: no-repeat;
    mask-position: center;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
    background-color: #e6212a;
    -webkit-mask-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 14 11'%3e%3cpath fill='var%28--bs-component-hover-color%29' d='M4.89557 6.49823L2.79487 4.26513C2.26967 3.70683 1.38251 3.70683 0.857309 4.26513C0.375593 4.77721 0.375593 5.57574 0.857309 6.08781L4.74989 10.2257C5.14476 10.6455 5.81176 10.6455 6.20663 10.2257L13.1427 2.85252C13.6244 2.34044 13.6244 1.54191 13.1427 1.02984C12.6175 0.471537 11.7303 0.471536 11.2051 1.02984L6.06096 6.49823C5.74506 6.83403 5.21146 6.83403 4.89557 6.49823Z'/%3e%3c/svg%3e");
    mask-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 14 11'%3e%3cpath fill='var%28--bs-component-hover-color%29' d='M4.89557 6.49823L2.79487 4.26513C2.26967 3.70683 1.38251 3.70683 0.857309 4.26513C0.375593 4.77721 0.375593 5.57574 0.857309 6.08781L4.74989 10.2257C5.14476 10.6455 5.81176 10.6455 6.20663 10.2257L13.1427 2.85252C13.6244 2.34044 13.6244 1.54191 13.1427 1.02984C12.6175 0.471537 11.7303 0.471536 11.2051 1.02984L6.06096 6.49823C5.74506 6.83403 5.21146 6.83403 4.89557 6.49823Z'/%3e%3c/svg%3e");
    mask-position: center;
    -webkit-mask-position: center;
    right: 1.25rem;
}

::before,
::after {
    --tw-content: "";
}
